Subject: Re: bug#9782: 24.0.90; move-to-window-line not taking header line into account
From: Eli Zaretskii <[email-masked]>
To: David Engster <[email-masked]>
Cc: [email-masked]
Date: Tue, 18 Oct 2011 18:00:39 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: David Engster <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 18 Oct 2011 16:23:37 +0200
> 
> My report was motivated by seeing that the tooltip display of
> company-mode (currently in ELPA) broke due to the change in
> posn-actual-col-row. Company-mode happens to depend on the above test
> case, that means it first determines the actual row at point, moves to
> (1+ row) through move-to-window-line and then displays the overlay
> there. I don't know why it chooses this way to do this, but it has
> worked for years, so I figured move-to-window-line has to be fixed.  If
> this new behavior is the correct one, then please close this report and
> I will send a bug report to the author of company-mode.

I'm closing the bug report.  My opinion is that company-mode should
either change the way it computes the line to move to, or account for
the header-line itself (e.g., by looking at the value of
header-line-format).  If the author of that package disagrees, I
suggest that he or she starts a discussion on emacs-devel.

Thanks.